"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const execa_1 = __importDefault(require("execa"));
const mongodb_connection_string_url_1 = __importDefault(require("mongodb-connection-string-url"));
const principal = 'mongodb.user@EXAMPLE.COM';
const simple = new mongodb_connection_string_url_1.default('mongodb://mongodb-kerberos-1.example.com:29017');
simple.username = principal;
simple.searchParams.set('authMechanism', 'GSSAPI');
const alternate = new mongodb_connection_string_url_1.default('mongodb://mongodb-kerberos-2.example.com:29018');
alternate.username = principal;
alternate.searchParams.set('authMechanism', 'GSSAPI');
alternate.searchParams.set('authMechanismProperties', 'SERVICE_NAME:alternate');
const crossRealm = new mongodb_connection_string_url_1.default('mongodb://mongodb-kerberos-3.examplecrossrealm.com:29019');
crossRealm.username = principal;
crossRealm.searchParams.set('authMechanism', 'GSSAPI');
exports.default = {
    dockerCompose: {
        projectName: path_1.default.basename(__dirname),
        yamlPath: path_1.default.resolve(__dirname, 'docker-compose.yaml'),
    },
    waitOn: ['tcp:29017', 'tcp:29018', 'tcp:29019'],
    hosts: [
        'mongodb-kerberos-1.example.com',
        'mongodb-kerberos-2.example.com',
        'mongodb-kerberos-3.examplecrossrealm.com',
    ],
    setup: async () => {
        try {
            await execa_1.default('kinit', ['--password-file=STDIN', principal], {
                input: 'password',
            });
        }
        catch (e) {
            await execa_1.default('kinit', [principal], { input: 'password' });
        }
    },
    teardown: async () => {
        try {
            await execa_1.default('kdestroy', ['-p', principal]);
        }
        catch (e) {
        }
    },
    connections: {
        kerberos: {
            connectionString: simple.href,
        },
        kerberosAlternate: {
            connectionString: alternate.href,
        },
        kerberosCrossRealm: {
            connectionString: crossRealm.href,
        },
    },
};
