"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
exports.default = {
    dockerCompose: {
        projectName: path_1.default.basename(__dirname),
        yamlPath: path_1.default.resolve(__dirname, 'docker-compose.yaml'),
    },
    waitOn: ['tcp:28001', 'tcp:28002', 'tcp:28003', 'tcp:28004'],
    hosts: ['mongodb-rs-1', 'mongodb-rs-2', 'mongodb-rs-3'],
    connections: {
        replicaSet: {
            connectionString: 'mongodb://root:password123@mongodb-rs-1:28001,mongodb-rs-2:28002,mongodb-rs-3:28003/db1?authSource=admin&replicaSet=replicaset',
        },
        replicaSetAnaylticsNode: {
            connectionString: 'mongodb://root:password123@mongodb-rs-1:28001,mongodb-rs-2:28002,mongodb-rs-3:28003/db1?authSource=admin&replicaSet=replicaset&readPreference=secondary&readPreferenceTags=nodeType:ANALYTICS',
        },
        replicaSetPrivateNode: {
            connectionString: 'mongodb://root:password123@localhost:28004/db1?authSource=admin',
        },
    },
};
