"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const test_environment_1 = __importDefault(require("./test-environment"));
const test_environments_1 = __importDefault(require("./test-environments"));
const config_1 = __importDefault(require("../docker/community/config"));
const config_2 = __importDefault(require("../docker/enterprise/config"));
const config_3 = __importDefault(require("../docker/kerberos/config"));
const config_4 = __importDefault(require("../docker/ldap/config"));
const config_5 = __importDefault(require("../docker/replica-set/config"));
const config_6 = __importDefault(require("../docker/scram/config"));
const config_7 = __importDefault(require("../docker/sharded/config"));
const config_8 = __importDefault(require("../docker/ssh/config"));
const config_9 = __importDefault(require("../docker/tls/config"));
const config_10 = __importDefault(require("../docker/oidc/mock-oidc-provider/config"));
const CONFIGS = {
    community: config_1.default,
    enterprise: config_2.default,
    kerberos: config_3.default,
    ldap: config_4.default,
    replicaSet: config_5.default,
    scram: config_6.default,
    sharded: config_7.default,
    ssh: config_8.default,
    tls: config_9.default,
    oidc: config_10.default,
};
function createTestEnvironments(filter) {
    const envs = {};
    for (const environmentName of filter) {
        envs[environmentName] = new test_environment_1.default(CONFIGS[environmentName]);
    }
    return new test_environments_1.default(envs);
}
exports.default = createTestEnvironments;
